StarCraft® II

"Failed to launch a critical file"

Just bought HotS and installed from scratch. The launcher says it completed updating all files, but when I click play I get "Failed to launch a critical file." It asks me to disable antivirus (don't think I have any) or login as admin (already am).

It's not surprising that the launcher can't seem to find critical files, as I can't find them either. There is no Applications/Starcraft II folder on my computer. (I always install everything in Mac HD/Applications, didn't really look at what the installer was set to, because installers generally default to the applications folder). When I search for files or applications named Starcraft, the only thing found on the entire HD is "Starcraft II-Setup-enUS." I can't even reinstall, because when I run the setup app, it says all the files are there...but they're not there, I don't know where it thinks they are so I can delete them.

getting pretty upset - would like to spawn more overlords.
Reply Quote
Support Forum Agent
Did you try looking in your system profiler and look in the Applications tab to see if the profiler can list it?

    1. Hold the 'Option' Key and choose System Profiler/Information from the Apple Menu.

    2. Select the Applications tab under Software and attempt to locate any StarCraft II files


If you don't locate these files, it may be a preference file causing trouble. Then I would recommend going through our uninstall article and delete any files you find remaining and try again.
Reply Quote
I found the editor file that it couldn't find during the launch, but what do I do with the file now?
Reply Quote
I got the exact same error and i could locate the files (all the starcraft2 files) but what now? Do i reinstall it?
Reply Quote
I also received the same notice. It was right after the new SC2 update was downloaded. It tells me to turn off my anti-virus but I currently am not running one right now. I unistalled the program and will see if a reinstall can input the missing file or files.
Reply Quote
I also got this, but I'd just like some clarification on another matter; (I've got WoL & just updated to patch 2.1)
Is Mac OS 10.6.8 still supported?
Edited by Warhawk on 1/21/2014 7:11 PM PST
Reply Quote
Nope, they dropped 10.6 support in the patch.
Reply Quote
I upgraded my mac from 10.6.8 to 10.8 and works again, so you need to update otherwise it wont work
Reply Quote

Please report any Code of Conduct violations, including:

Threats of violence. We take these seriously and will alert the proper authorities.

Posts containing personal information about other players. This includes physical addresses, e-mail addresses, phone numbers, and inappropriate photos and/or videos.

Harassing or discriminatory language. This will not be tolerated.

Forums Code of Conduct

Report Post # written by

Reason
Explain (256 characters max)
Submit Cancel

Reported!

[Close]